kind: ruleset
metadata:
  name: config-set/v1/dynamic-email-sending
spec:
  nodes:
  - if: wf.variables["senderDomain"] == "gmail"
    then:
      connectionName: 'my gmail connection' # the name of the connection is the email sending list
  - if: wf.variables["senderDomain"] == "yahoo"
    then:
      connectionName: 'my yahoo connection' # the name of the connection is the email sending list